<?
include 'inclydings/gzips.php';
include 'mysql.php';
include_once("inclydings/zag.php");
include_once("inclydings/check2.php");
include 'inclydings/ini.php';
include_once("inclydings/sesi.php");

if (isset($user)) {
switch($go) {

default:
if(@file("L2dbnam/esql2db/admins/$log.dat")){
if(($log=="LegWar")|($log=="")){echo"<b>Панель управления</b><br/><a href=\"gmaddmins.php?$sd\"><font color=#006400>Админ-панель</font></a><br/><a href=\"adminsik.php?$sd\"><font color=#006400>панель 2</font></a><br/>";}}

if(@file("L2dbnam/esql2db/moders/$log.dat")){
echo"<b>Панель управления</b><a href=\"moder.php?$sd\"><font color=#006400>Модер-панель</font></a><br/>";}
if($_GET['main']=='input'){
echo" <a href=\"url.php?url=http://vkontakte.ru/club23340566\">Группа онлайн игры в сети \"Вконтакте\"</a><br/><br/>";
echo"  <a href=\"uslugi.php?$sd\"><font color=#FF0000> Пополни счёт</font></a><br/>";
echo"  <a href=\"forum.php?$sd&mode=themes&uid=8\">Что бы вы хотели видеть в игре?</a><br/><br/>";}

echo"- <a href=\"main.php?$sd&go=action\"><font color=#FF0000><b>Акция</b></font>(<b><font color=\"lime\">NEW</font></b>)</a><br/>";
echo" <font color='#999999'><b>Информация</b></font></a><br/>";
$asd = mysql_query("SELECT time FROM table_news ORDER BY id DESC LIMIT 1");
$news = mysql_fetch_array($asd);
echo"- <a href=\"main.php?$sd&go=news\">Новости </a>[<b><font color=\"lime\">$news[time]</font></b>]<br/>";
echo"- <a href=\"main.php?$sd&go=elite\">Администрация</a><br/>";
$taim = 600;
$date = time();
$timeout = $date - $taim;
$online = mysql_num_rows(mysql_query("SELECT * FROM table_online WHERE laikas > '$timeout'"));
echo"- <a href=\"main.php?$sd&go=online\">В игре</a> (<b><font color=\"lime\">$online</font></b>)<br/>";

$q = mysql_query("SELECT COUNT(`id`) FROM `table_zametki` WHERE `zam3`='$log'");

$koll = mysql_result($q, 0);
echo"- <a href=\"zametki.php?$sd\">История действий</a> (<b><font color=\"lime\">$koll</font></b>)<br/>";
echo"- <a href=\"clanlist.php?$sd\">Вступлю в клан</a><br/>";
echo"- <a href=\"main.php?$sd&go=pravila\">Правила для игроков </a><br/>";
echo"- <a href=\"main.php?$sd&go=pravilamod\">Правила для модераторов </a><br/>";
echo" <font color='#999999'><b>Общение</b></font></a><br/>";
$foto = sizeof(file('L2dbnam/esql2db/datagallery/fotobase.dat'));
echo"- <a href=\"chat.php?$sd\"> Чат</a><br/>";
echo"- <a href=\"chat_torg.php?$sd\"> Торговый Чат</a><br/>";
echo"- <a href=\"forum.php?$sd\">Форум</a><br/>";
$q = mysql_query("SELECT COUNT(`nick`) FROM `table_sends` WHERE `nick`='$log'");
$kol = mysql_result($q, 0);
echo "- <a href=\"send.php?$sd\">Личная почта</a> (<b><font color=\"lime\">$udata[22]/$kol</font></b>)<br/>";

$q = mysql_query("SELECT COUNT(`id`) FROM `table_tickets` WHERE `nick`='$log'");

$kol = mysql_result($q, 0);
echo "- <a href=\"tickets.php?$sd\">Центр помощи</a> (<b><font color=\"lime\">$kol</font></b>)<br/>";
echo"- <a href=\"gallery.php?$sd\">Фотогалерея</a><font color=lime>[$foto]</font><br/>";
echo" <font color='#999999'><b>Персонаж</b></font></a><br/>";
echo"- <a href=\"setting.php?$sd\">Настройки</a><br/>";
echo"- <a href=\"pers.php?$sd\">Информация о $log</a><br/>";
echo"- <a href=\"mystatus.php?$sd\">Личный Статус</a><br/>";
echo"- <a href=\"userquest.php?$sd\">Квесты</a><br/>";
echo"- <a href=\"anketa.php?$sd\">Анкета</a><br/>";
echo"- <a href=\"skills.php?$sd\">Активные навыки</a><br/>";
echo"- <a href=\"skillspas.php?$sd\">Пассивные навыки</a><br/>";
echo"- <a href=\"snytvseveshi.php?$sd\">Экипировка</a><br/>";
echo"- <a href=\"deletemag.php?$sd\">Управление скилами</a><br/>";
echo" <font color='#999999'><b>Разное</b></font></a><br/>";
echo'- <a href="uslugi.php?'.$sd.'"><font color=red>Донаторство</a></font><br/>';
echo"- <a href=\"paty.php?$sd\">Пати</a><br/>";
echo"- <a href=\"rek.php?$sd\">Рекомендации</a><br/>";
echo"- <a href=\"sklep.php?$sd\">Тюрьма</a><br/>";
echo"- <a href=\"main.php?$sd&go=5\">Топ 10 Лучших </a><br/>";
echo"- <a href=\"search.php?$sd\">Поиск игроков</a><br/>";
echo"- <a href=\"faq.php?$sd\"><font color=#FF0000><b>Библиотека</b></font></a><br/>";
//echo"- <a href=\"main.php?$sd&go=exit&nick=$log\"><font color=#FF0000><b>Выйти з игры</b></font></a><br/>";
break;
case '5':
echo"<b>Рейтинги Игроков</b><br/><br/>";
echo"» <a href=\"main.php?$sd&go=post\">Лучшие Постеры</a><br/>";
echo"» <a href=\"ratingwinfishing.php?$sd\">Лучшие рыболовы</a><br/>";
echo"» <a href=\"main.php?$sd&go=sp\">Лучшие Опытных по SP</a><br/>";
echo"» <a href=\"main.php?$sd&go=sil\">Лучшие по Силе</a><br/>";
echo"» <a href=\"main.php?$sd&go=shit\">Лучшие по Ловкости</a><br/>";
echo"» <a href=\"main.php?$sd&go=exp\">Лучшие по Опыту</a><br/>";
echo"» <a href=\"main.php?$sd&go=pk\">Лучшие по Рекомендациях</a><br/>";
echo"» <a href=\"main.php?$sd&go=pkboi\">Лучшие РК</a><br/>";
echo"» <a href=\"users.php?$sd\">Список всех жителей</a><br/>";

break;
case 'exit':
$g=mysql_query("SELECT * FROM `table_online` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($g)==1){
mysql_query("DELETE FROM `table_online` WHERE `nick`='".$log."'");
echo "Тикет удалён";}
echo "<b><font color=#FF0000>Вы успешно покинули игру! Враги не дремлют, а друзья ждут вас в игре! Возвращайтесь поскорей</font></b>";
echo "<li><a href=\"index.php\">На главную</a>";
break;
case 'online':
$text = @file("L2dbnam/esql2db/reg/$row[nick].dat");
$uda = explode(":||:",$text[0]);
$num = mysql_fetch_array(mysql_query("select count(nick) as num from table_online"));
echo "<br /><div class=\"head\">Всего в мире ( ".$num[0]." )</div><br/>\n";
$g=mysql_query("SELECT * FROM `table_online` LIMIT 1");
if(mysql_num_rows($g)==0){
echo "В мире никого нет<br/>";
}
if(empty($startan)) $startan = 0;
$startan=intval($startan);
if($startan<0) $startan=0; $num_msgs_an=10;
$qi = mysql_query("SELECT * FROM `table_online` ORDER by `nick` DESC  LIMIT $startan,$num_msgs_an");
$i= $startan+1;
while($row=mysql_fetch_array($qi))
{

$result666 = mysql_query("SELECT * FROM `tb_uzers` WHERE `nick`='".$row[nick]."'");
$ga = mysql_fetch_array($result666);
$g=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$row[nick]' LIMIT 1");
if(mysql_num_rows($g)==1){
echo ''.$i++.'. <a href="search.php?'.$sd.'&nick='.$row[nick].'&go=go"><font color=lime><b>'.$row['nick'].'</b></a></font></a><b> [A]</b></a><br/>';
}else{
$g=mysql_query("SELECT * FROM `table_moder` WHERE `nick`='$row[nick]' LIMIT 1");
if(mysql_num_rows($g)==1){
echo ''.$i++.'. <a href="search.php?'.$sd.'&nick='.$row[nick].'&go=go"><font color=blue><b>'.$row['nick'].'</b></font></a><b> [M]</b></a><br/>';
}else{
$g=mysql_query("SELECT * FROM `table_vip` WHERE `nick`='$row[nick]' LIMIT 1");
if(mysql_num_rows($g)==1){
echo ''.$i++.'. <a href="search.php?'.$sd.'&nick='.$row[nick].'&go=go"><font color=yellow>'.$row['nick'].'</font></a>[<b>Вип игрок</b>]</a><br/>';
}else{
$g=mysql_query("SELECT * FROM `table_konsultant` WHERE `nick`='$row[nick]' LIMIT 1");
if(mysql_num_rows($g)==1){
echo ''.$i++.'. <a href="search.php?'.$sd.'&nick='.$row[nick].'&go=go"><font color=#FFFAFA><b>'.$row['nick'].'</b></font></a><b> [K]</b><br/>';
}else{
echo ''.$i++.'.<a href="search.php?'.$sd.'&nick='.$row[nick].'&go=go"> '.$row['nick'].'</a><br/>';
}}}}
}
$q = mysql_query("SELECT COUNT(`nick`) FROM `table_online`");
$kol = mysql_result($q, 0);
echo "- - -<br/>";
if($startan!= 0) $page2left = ' <a href= main.php?'.$sd.'&go=online&startan='. ($startan - 10) .'&page='.($page-1).'>'. ($page - 1) .'</a> | ';

if(empty($page)){$page=1;}
if($kol > $startan + 10) $page2right = ' | <a href= main.php?'.$sd.'&go=online&startan='. ($startan + 10) .'&page='. ($page+1) .'>'. ($page + 1) .'</a>';
echo $page2left.'<b>('.$page.')</b>'.$page1right.$page2right.'<br/>';
if ($startan != 0) {echo '<a href="main.php?'.$sd.'&go=online&startan='.($startan - 10).'page='.($page-1).'">Назад</a> ';}
if ($kol > $startan + 10) {echo ' <a href="main.php?'.$sd.'&go=online&startan='.($startan + 10).'&page='.($page+1).'">Далее</a>';}

break;
case 'allnews':
$g=mysql_query("SELECT * FROM `table_news` WHERE `id`='$id' LIMIT 1");
if(mysql_num_rows($g)==0){echo "Такой новости нет";
include 'inclydings/down.php';
exit;
}
$result666 = mysql_query("SELECT * FROM `table_news` WHERE `id`='".$id."'");
$new = mysql_fetch_array($result666);
$q = mysql_query("SELECT COUNT(`id`) FROM `table_koments` WHERE `id`='$id'");
$kol = mysql_result($q, 0);
echo '<b>'.$new['zag'].'</b> ('.$new['time'].')<br/>'.$new['novost'].'<br/>Автор: <i><a href="search.php?'.$sd.'&nick='.$new['autor'].'&go=go">'.$new['autor'].'</a></i><li><a href="kom.php?'.$sd.'&id='.$id.'">Коментрарий</a> [<b>'.$kol.'</b>]';


break;
case 'news':
$num = mysql_fetch_array(mysql_query("select count(id) as num from table_news"));
echo "Новостей (<b> ".$num[0]." </b>)<br/><br>\n";
echo "<b>Новости:</b><br/>";
if(empty($startan)) $startan = 0;
$startan=intval($startan);
if($startan<0) $startan=0; $num_msgs_an=5;
$qi = mysql_query("SELECT * FROM `table_news` ORDER by `id` DESC  LIMIT $startan,$num_msgs_an");
$i=$startan+1;
while($row=mysql_fetch_array($qi))
{
$q = mysql_query("SELECT COUNT(`id`) FROM `table_koments` WHERE `id`='$row[id]'");
$kol = mysql_result($q, 0);
$row["novost"] = mb_substr ($row["novost"], 0, 40, 'UTF-8');
echo ''.$i++.'] <b>'.$row['zag'].'</b> ('.$row['time'].')<br/>'.$row['novost'].'...<br/>Автор: <i><a href="search.php?'.$sd.'&nick='.$row['autor'].'&go=go">'.$row['autor'].'</a></i><li><a href="kom.php?'.$sd.'&id='.$row[id].'">Коментрарий</a> [<b>'.$kol.'</b>]<li><a href="main.php?'.$sd.'&id='.$row['id'].'&go=allnews">Читать полностью</a><br/><br/>';
}
$q = mysql_query("SELECT COUNT(`id`) FROM `table_news`");
$kol = mysql_result($q, 0);
echo "- - -<br/>";
if($startan!= 0) $page2left = ' <a href= main.php?'.$sd.'&go=news&startan='. ($startan - 5) .'&page='.($page-1).'>'. ($page - 1) .'</a> | ';

if(empty($page)){$page=1;}
if($kol > $startan + 5) $page2right = ' | <a href= main.php?'.$sd.'&go=news&startan='. ($startan + 5) .'&page='. ($page+1) .'>'. ($page + 1) .'</a>';
echo $page2left.'<b>('.$page.')</b>'.$page1right.$page2right.'<br/>';


if ($startan != 0) {echo '<a href="main.php?'.$sd.'&go=news&startan='.($startan - 5).'&page='.($page-1).'">Назад</a> ';}

if ($kol > $startan + 5) {echo ' <a href="main.php?'.$sd.'&go=news&startan='.($startan + 5).'&page='.($page+1).'">Далее</a>';}




break;
case 'sss':
if(@file("L2dbnam/esql2db/vip/$log.dat")){echo"У вас уже есть VIP Аккаунт!"; include_once"inclydings/down.php"; exit; }
$fp=fopen("L2dbnam/esql2db/vip/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/vip/$log.dat", 0666);

$data=date("d F, Y", time());
$time=date("H:i:s", time());
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;
$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$query = "INSERT INTO table_vip VALUES('$nick','$data')";
$result = mysql_query($query);
echo ''.$nick.' ви успешно получил VIP аккаунт на 5 дней.<br/>';
echo"<br/><a href=\"shops_uda4a.php?$sd\"> Продолжить</a><br/>";


break;
case 'action':

echo "За каждую заказанную монету через электронные платежи, вы получаете на 50 % больше монет удачи! Также если при заказе Монет Удачи на сумму от 500рублей/125 гривен вы получаете бонус в зависимости от суммы , акция только для заказа по WebMoney.<br/>
<br/>
Акция действительна до 01.03.2012 ";

break;
case 'pkboi':

echo "<b>Опасные игроки</b>";
echo"<hr>";
$dir = opendir ("L2dbnam/esql2db/rating/pk");

$dir = opendir ("L2dbnam/esql2db/rating/pk");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);

if($total!=="0"){

for ($i = 0; $i < $total; $i++){
$tex = @file("L2dbnam/esql2db/rating/pk/$a[$i]");
$data = explode("||",$tex[0]);


$dat_rek[]=$data[0];

}


@arsort($dat_rek);



foreach($dat_rek as $k=>$v)
{
$a=str_replace(".dat","",$a);

$dat_screen[]='<a href="search.php?nick='.$a[$k].'&'.$sd.'&go=go">'.$a[$k].'</a><br/>PK: '.$dat_rek[$k].'<br/>';


}



if($total<"10"){
$list=$total;}else{$list="10";}

for ($i = 0; $i < $list; $i++){
$i2=$i+1;
echo "$i2. $dat_screen[$i]";
}


}else{echo"Убийц  нет.";}



break;
case 'shit':
$dir = opendir ("L2dbnam/esql2db/reg");
echo'<div id="menu6">';
echo "<b>Самые ловкие</b><br/><br/>";

$dir = opendir ("L2dbnam/esql2db/reg");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);

for ($i = 0; $i < $total; $i++){
$tex = @file("L2dbnam/esql2db/reg/$a[$i]");
$data = explode(":||:",$tex[0]);


$dat_log3[]=$data[0];
$dat_gold3[]=$data[3];
}


arsort($dat_gold3);



foreach($dat_gold3 as $k2=>$v2)
{
$dat_ball2[]='<a href="search.php?nick='.$dat_log3[$k2].'&'.$sd.'&go=go">'.$dat_log3[$k2].'</a><br/>Защита: '.$dat_gold3[$k2].'<br/>';


}



for ($i = 0; $i < 10; $i++){
$i2=$i+1;
echo "$i2. $dat_ball2[$i]";
}



echo'</div>';

break;
case 'exp':
$dir = opendir ("L2dbnam/esql2db/reg");
echo'<div id="menu6">';
echo "<b>Рейтинг опытных</b><br/><br/>";

$dir = opendir ("L2dbnam/esql2db/reg");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);

for ($i = 0; $i < $total; $i++){
$tex = @file("L2dbnam/esql2db/reg/$a[$i]");
$data = explode(":||:",$tex[0]);


$dat_log3[]=$data[0];
$dat_gold3[]=$data[19];
}


arsort($dat_gold3);



foreach($dat_gold3 as $k2=>$v2)
{


$dat_ball2[]='<a href="search.php?nick='.$dat_log3[$k2].'&'.$sd.'&go=go">'.$dat_log3[$k2].'</a><br/>EXP: '.$dat_gold3[$k2].'<br />';


}



for ($i = 0; $i < 10; $i++){
$i2=$i+1;
echo "$i2. $dat_ball2[$i]";
}

echo'</div>';

break;
case 'sil':
$dir = opendir ("L2dbnam/esql2db/reg");
echo'<div id="menu6">';
echo "<b>Самые сильные</b><br/><br/>";

$dir = opendir ("L2dbnam/esql2db/reg");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);

for ($i = 0; $i < $total; $i++){
$tex = @file("L2dbnam/esql2db/reg/$a[$i]");
$data = explode(":||:",$tex[0]);


$dat_log3[]=$data[0];
$dat_gold3[]=$data[4];
}


arsort($dat_gold3);



foreach($dat_gold3 as $k2=>$v2)
{


$dat_ball2[]='<a href="search.php?nick='.$dat_log3[$k2].'&'.$sd.'&go=go">'.$dat_log3[$k2].'</a><br/>Сила: '.$dat_gold3[$k2].'<br/>';

}



for ($i = 0; $i < 10; $i++){
$i2=$i+1;
echo "$i2. $dat_ball2[$i]";
}



echo'</div>';
break;
case 'post':
$dir = opendir ("L2dbnam/esql2db/reg");
echo'<div id="menu6">';
echo "<b>Рейтинг постеров</b><br/><br/>";

$dir = opendir ("L2dbnam/esql2db/reg");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);

for ($i = 0; $i < $total; $i++){
$tex = @file("L2dbnam/esql2db/reg/$a[$i]");
$data = explode(":||:",$tex[0]);


$dat_log3[]=$data[0];
$dat_gold3[]=$data[100];
}


arsort($dat_gold3);



foreach($dat_gold3 as $k2=>$v2)
{


$dat_ball2[]='<a href="search.php?nick='.$dat_log3[$k2].'&'.$sd.'&go=go">'.$dat_log3[$k2].'</a><br/>Постов: '.$dat_gold3[$k2].'<br />';


}



for ($i = 0; $i < 10; $i++){
$i2=$i+1;
echo "$i2. $dat_ball2[$i]";
}

echo'</div>';

break;
case 'sp':

$dir = opendir ("L2dbnam/esql2db/reg");
echo'<div id="menu6">';
echo "<b>Рейтинг опытных по SP</b><br/><br/>";

$dir = opendir ("L2dbnam/esql2db/reg");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);

for ($i = 0; $i < $total; $i++){
$tex = @file("L2dbnam/esql2db/reg/$a[$i]");
$data = explode(":||:",$tex[0]);


$dat_log3[]=$data[0];
$dat_gold3[]=$data[31];
}


arsort($dat_gold3);



foreach($dat_gold3 as $k2=>$v2)
{


$dat_ball2[]='<a href="search.php?nick='.$dat_log3[$k2].'&'.$sd.'&go=go">'.$dat_log3[$k2].'</a><br/>SP: '.$dat_gold3[$k2].'<br />';


}



for ($i = 0; $i < 10; $i++){
$i2=$i+1;
echo "$i2. $dat_ball2[$i]";
}

echo'</div>';

break;
case 'pk':
$dir = opendir ("L2dbnam/esql2db/reg");
echo'<div id="menu6">';
echo "<b>Рейтинг Рекомендаций</b><br/><br/>";

$dir = opendir ("L2dbnam/esql2db/reg");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);

for ($i = 0; $i < $total; $i++){
$tex = @file("L2dbnam/esql2db/reg/$a[$i]");
$data = explode(":||:",$tex[0]);


$dat_log3[]=$data[0];
$dat_gold3[]=$data[36];
}


arsort($dat_gold3);



foreach($dat_gold3 as $k2=>$v2)
{


$dat_ball2[]='<a href="search.php?nick='.$dat_log3[$k2].'&'.$sd.'&go=go">'.$dat_log3[$k2].'</a><br/>Рекомендован: '.$dat_gold3[$k2].'<br />';
}


for ($i = 0; $i < 10; $i++){
$i2=$i+1;
echo "$i2. $dat_ball2[$i]";
}

echo'</div>';


break;
case 'pravila':
echo"<center>Правила для игроков!</center><br/>";

echo"<hr>";
echo"<li>Употребление не нормативной лексики в сообщениях, анкетах.</br>";
echo"<font color=red>Наказание:</font> Игнор на 24 часа";
echo"<hr>";
echo"<li>Писать в чате Верхним регистром (Пример: РЕГИСТР) и Забором (Пример: ЗаБоР).</br>";
echo"<font color=red>Наказание:</font> Игнор на 24 часа";
echo"<hr>";
echo"<li>Оскорбление игроков.</br>";
echo"<font color=red>Наказание:</font> Игнор на 24 часа";
echo"<hr>";
echo"<li>Умышленное многократное повторение сообщений (флуд).</br>";
echo"<font color=red>Наказание:</font> Игнор на 24 часа";
echo"<hr>";
echo"<li>Обсуждение действий модераторов и администраторов.</br>";
echo"<font color=red>Наказание:</font> Игнор на 24 часа";
echo"<hr>";
echo"<li>Разжигание конфликта.</br>";
echo"<font color=red>Наказание:</font> Игнор на 24 часа";
echo"<hr>";
echo"<li>Проявления религиозной, расовой, половой и прочей нетерпимости или дискриминации.</br>";
echo"<font color=red>Наказание:</font> Игнор на 24 часа";
echo"<hr>";
echo"<li>Употребление не нормативной лексики в никах.</br>";
echo"<font color=red>Наказание:</font> Блок персонажа без права на разблокирование";
echo"<hr>";
echo"<li>Оскорбление администрации и модераторов.</br>";
echo"<font color=red>Наказание:</font> Блок персонажа без права на разблокирование";
echo"<hr>";
echo"<li>Плагиат ников администрации и модераторов.</br>";
echo"<font color=red>Наказание:</font> Блок персонажа без права на разблокирование";
echo"<hr>";
echo"<li>Нечестная прокачка персонажа.</br>";
echo"<font color=red>Наказание:</font> Блок персонажа без права на разблокирование";
echo"<hr>";
echo"<li>Взлом, либо попытки взлома персонажей.</br>";
echo"<font color=red>Наказание:</font> Блок персонажа без права на разблокирование";
echo"<hr>";
echo"<li>Реклама посторонних интернет ресурсов.</br>";
echo"<font color=red>Наказание:</font> Блок персонажа";
echo"<hr>";
echo"<li>Обман администрации и модераторов.</br>";
echo"<font color=red>Наказание:</font> Блок персонажа";
echo"<hr>";
echo"<li>Продажа персонажей.</br>";
echo"<font color=red>Наказание:</font> Блок персонажа";
echo"<hr>";
echo"<li>Продажа аден, вещей либо других игровых ценностей за реальные деньги.</br>";
echo"<font color=red>Наказание:</font> Блок персонажа";
echo"<hr>";
echo"<br/>
- Ответственность несет владелец персонажа, независимо от того, кто совершал действия под данным персонажем.<br/>
- Неоднократные нарушения усугубляют возможность получить более суровое наказание.<br/>
- В случае если в данном перечне правил что-то не оговорено, и оно противоречит нормам проекта, то наказание персонажа происходит по решению администрации.<br/>
- Помните что, wapl2 это частный проект, и ваш герой может быть заблокирован администрацией без объяснения причины.<br/>
- Зарегистрировавшись, вы подтверждаете свое согласие с данными правилами.<br/>
- Если вы не согласны с одним из пунктов, вы должны немедленно покинуть данный портал!<br/>
- Незнание правил, не освобождает от их исполнения!<br/>
- Игрок может быть разблокирован при предъявлении доказательств его невиновности.<br/>
- Возможна блокировка по собственному желанию. Первая раз блокировка производится в любой момент по запросу в центр помощи с указанием почтового ящика. Вторая и последующие раз блокировки производятся за 5 монет удачи.<br/>
- Правила могут быть изменены или дополнены в любой момент, с информированием всех участников игрового проекта в новостях. (Последнее обновление правил: 21.01.2011)<br/>";
break;
case 'pravilamod':
echo"<center>Правила для Модераторов!</center><br/>
Модератор ДОЛЖЕН:<br/>
1. Соблюдать правила для игроков.<br/>
2. Помогать игрокам разрешать их проблемы и конфликты.<br/>
3. Служить примером в поведении.<br/>
4. Подробно указывать причину блокировки персонажа или блокировку общения.<br/>
5. Объяснять причину блокировки персонажа или общения по запросу в центр помощи.<br/>
6. Отвечать на вопросы, помогать игрокам в центре помощи.<br/>

Модератор НЕ ОБЯЗАН:<br/>
1. Быть в онлайне круглосуточно.<br/>
2. Следить за всеми игроками.<br/>
3. Публично отчитываться перед игроками за свои действия. Он может это делать по своему усмотрению.<br/>
4. Отвечать на вопросы игроков в личных сообщениях. Он может это делать по своему усмотрению.<br/>

Запрещается:<br/>
1. Создавать конфликты с игроками и другими модераторами. При возникновении конфликта рекомендуется решать их по электронной почте, ICQ и т.д.<br/>
2. Использование статуса модератора в личных целях.<br/>
3. Разглашение служебной информации.<br/>
4. Передача имени пользователя другому игроку (будь то пароль или идентификатор сессии).<br/>

Некоторые разъяснения по правилам для игроков:<br/>
- Блокировка персонажа или блокировка общения выбирается в зависимости от степени нарушения и частоты нарушения. Чем выше степень нарушения, тем выше степень наказания. Если пользователь нарушает часто одно и то же правило за малый промежуток времени, то с каждым разом степень наказания будет повышаться. <br/>
- Срок нарушения выбирается от частоты нарушения правила. Чем чаще пользователь нарушает правило, тем больше будет срок наказания.<br/>

В случае нарушения правил модератор лишается прав модерирования без права их восстановления.<br/>";
break;
case 'elite':
echo "<b>Администраторы:</b><br/>";
$g=mysql_query("SELECT * FROM `table_admin` LIMIT 1");
if(mysql_num_rows($g)==0){
echo "Администраторов нет<br/>";
}
$qi = mysql_query("SELECT * FROM `table_admin`");
while($row=mysql_fetch_array($qi))
{
$g=mysql_query("SELECT * FROM `table_online` WHERE `nick`='$row[nick]' LIMIT 1");
if(mysql_num_rows($g)==1){
echo "<a href=\"search.php?$sd&nick=$row[nick]&go=go\">$row[nick]</a> <font color=#00FF00>[В игре]</font><img src=\"images/on.gif\"><br/>";
}else{
echo "<a href=\"search.php?$sd&nick=$row[nick]&go=go\">$row[nick]</a> <font color=#00FFFF>[Оффлайн]</font><img src=\"images/off.gif\"><br/>";
}
}
echo "<b>Модераторы:</b><br/>";
$g=mysql_query("SELECT * FROM `table_moder` LIMIT 1");
if(mysql_num_rows($g)==0){
echo "Модераторов нет<br/>";
}
$qi = mysql_query("SELECT * FROM `table_moder`");
while($row=mysql_fetch_array($qi))
{
$g=mysql_query("SELECT * FROM `table_online` WHERE `nick`='$row[nick]' LIMIT 1");
if(mysql_num_rows($g)==1){
echo "<a href=\"search.php?$sd&nick=$row[nick]&go=go\">$row[nick]</a> <font color=#00FF00>[В игре]</font><img src=\"images/on.gif\"><br/>";
}else{
echo "<a href=\"search.php?$sd&nick=$row[nick]&go=go\">$row[nick]</a> <font color=#00FFFF>[Оффлайн]</font><img src=\"images/off.gif\"><br/>";
}
}

echo "<b>Консультанты:</b><br/>";

 $g=mysql_query("SELECT * FROM `table_konsultant` LIMIT 1");
if(mysql_num_rows($g)==0){
echo "Модераторов нет<br/>";
}
$qi = mysql_query("SELECT * FROM `table_konsultant`");
while($row=mysql_fetch_array($qi))
{
$g=mysql_query("SELECT * FROM `table_online` WHERE `nick`='$row[nick]' LIMIT 1");
if(mysql_num_rows($g)==1){
echo "<a href=\"search.php?$sd&nick=$row[nick]&go=go\">$row[nick]</a> <font color=#00FF00>[В игре]</font><img src=\"images/on.gif\"><br/>";
}else{
echo "<a href=\"search.php?$sd&nick=$row[nick]&go=go\">$row[nick]</a> <font color=#00FFFF>[Оффлайн]</font><img src=\"images/off.gif\"><br/>";
}
}
break;
}}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}
include_once"inclydings/down.php";
?>












